org.codehaus.plexus.compiler.util.scan.mapping

## Class SingleTargetSourceMapping

- java.lang.Object
- - org.codehaus.plexus.compiler.util.scan.mapping.SingleTargetSourceMapping

All Implemented Interfaces:
  SourceMapping

    public class SingleTargetSourceMapping
    extends Object
    implements SourceMapping

Maps a set of input files to a single output file.

Version:
  $Id$
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`SingleTargetSourceMapping(String sourceSuffix, String outputFile)`

### Method Summary

Methods
`Set<File>` `getTargetFiles(File targetDir, String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleTargetSourceMapping

    public SingleTargetSourceMapping(String sourceSuffix,
                             String outputFile)

### Method Detail

#### getTargetFiles

    public Set<File> getTargetFiles(File targetDir,
                           String source)
                             throws InclusionScanException

Specified by:
  `getTargetFiles` in interface `SourceMapping`
Throws:
  `InclusionScanException`